Get user external auths
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/external-auth \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /external-auth
Example responses
200 Response
{
"authenticated": true,
"created_at": "2019-08-24T14:15:22Z",
"expires": "2019-08-24T14:15:22Z",
"has_refresh_token": true,
"provider_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"validate_error": "string"
}
Responses
To perform this operation, you must be authenticated. Learn more .
Get external auth by ID
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/external-auth/{externalauth} \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /external-auth/{externalauth}
Parameters
Name In Type Required Description externalauthpath string(string) true Git Provider ID
Example responses
200 Response
{
"app_install_url": "string",
"app_installable": true,
"authenticated": true,
"device": true,
"display_name": "string",
"installations": [
{
"account": {
"avatar_url": "string",
"id": 0,
"login": "string",
"name": "string",
"profile_url": "string"
},
"configure_url": "string",
"id": 0
}
],
"user": {
"avatar_url": "string",
"id": 0,
"login": "string",
"name": "string",
"profile_url": "string"
}
}
Responses
To perform this operation, you must be authenticated. Learn more .
Delete external auth user link by ID
Code samples
# Example request using curl
curl -X DELETE http://coder-server:8080/api/v2/external-auth/{externalauth} \
-H 'Coder-Session-Token: API_KEY'
DELETE /external-auth/{externalauth}
Parameters
Name In Type Required Description externalauthpath string(string) true Git Provider ID
Responses
Status Meaning Description Schema 200 OK OK
To perform this operation, you must be authenticated. Learn more .
Get external auth device by ID
Code samples
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/external-auth/{externalauth}/device \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
GET /external-auth/{externalauth}/device
Parameters
Name In Type Required Description externalauthpath string(string) true Git Provider ID
Example responses
200 Response
{
"device_code": "string",
"expires_in": 0,
"interval": 0,
"user_code": "string",
"verification_uri": "string"
}
Responses
To perform this operation, you must be authenticated. Learn more .
Post external auth device by ID
Code samples
# Example request using curl
curl -X POST http://coder-server:8080/api/v2/external-auth/{externalauth}/device \
-H 'Coder-Session-Token: API_KEY'
POST /external-auth/{externalauth}/device
Parameters
Name In Type Required Description externalauthpath string(string) true External Provider ID
Responses
Status Meaning Description Schema 204 No Content No Content
To perform this operation, you must be authenticated. Learn more .